Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
neversaynever1615

Cách Xác Định Tọa Độ Điểm Miền Trong Miền Ngoài Của Một Đa Giác!

Các bài được khuyến nghị

Mình muốn viết 1 lisp offset tự động một đa giác vào phía trong nhưng đến bước pick chọn miền trong thì mình không biết làm sau để lấy được tọa độ bên trong đa giác để gán vào bước chọn miền trong lệnh offset. Mong các cả nhà giúp mình với…!

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

1). Đừng viết chữ màu vàng nhìn đau mắt lắm.

2). Nếu bạn biết các hàm vla(x) thì chuyện này là đơn giản: offset 1 trong 1 ngoài rồi so sánh diện tích, sau đó delete cái lớn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Thử paste dòng này vào command và enter xem sao:

(and (vl-load-com) (vla-offset (vlax-ename->vla-object (car (entsel "Chon doi tuong can offset: "))) 10))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhduan2407    227

Thử paste dòng này vào command và enter xem sao:

(and (vl-load-com) (vlax-invoke (vlax-ename->vla-object (car (entsel "Chon doi tuong can offset: "))) 'Offset 10))

Bác Hà có thể giải thích cho em hàm vlax-invoke trong cấu trúc trên dc ko ạ? Em cảm ơn bác nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Bác Hà có thể giải thích cho em hàm vlax-invoke trong cấu trúc trên dc ko ạ? Em cảm ơn bác nhiều

Tôi vừa sửa lại cho dễ hiểu ở trên.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhduan2407    227

Cho em hỏi thêm 1 chút. Nếu em muốn tìm hiểu các cấu trúc của Vla-, Vlax- thì tìm ở đâu ạ?

Và một số kiểu như 'Offset 'intersectwith 'InsertionPoint 'GetBoundingBox, ........thì lấy ở đâu các chữ đó ạ? Hic hic. Em thích các hàm này lắm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pphung183    425

Sẵn Topic này chẳng liên quan chủ đề chính, mình share tài liệu "Sử dụng biến môi trường cho (setenv variable value) or (getenv variable)"  và biến hệ thống luôn cho thêm đa dạng Topic :) :

Biến môi trường :

http://www.cadviet.com/upfiles/5/127397_autocad_environment_variables.pdf

Biến hệ thống :

http://www.cadviet.com/upfiles/5/127397_autocad_system_variables.pdf

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×